# PulpRpmClient::RpmDistributionTreeResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**header_version** | **String** | Header Version. | 
**release_name** | **String** | Release name. | 
**release_short** | **String** | Release short name. | 
**release_version** | **String** | Release version. | 
**release_is_layered** | **Boolean** | Typically False for an operating system, True otherwise. | 
**base_product_name** | **String** | Base Product name. | 
**base_product_short** | **String** | Base Product short name. | 
**base_product_version** | **String** | Base Product version. | 
**arch** | **String** | Tree architecturerch. | 
**build_timestamp** | **Float** | Tree build time timestamp. | 
**instimage** | **String** | Relative path to Anaconda instimage. | 
**mainimage** | **String** | Relative path to Anaconda stage2 image. | 
**discnum** | **Integer** | Disc number. | 
**totaldiscs** | **Integer** | Number of discs in media set. | 
**addons** | [**Array&lt;AddonResponse&gt;**](AddonResponse.md) |  | 
**checksums** | [**Array&lt;ChecksumResponse&gt;**](ChecksumResponse.md) |  | 
**images** | [**Array&lt;ImageResponse&gt;**](ImageResponse.md) |  | 
**variants** | [**Array&lt;VariantResponse&gt;**](VariantResponse.md) |  | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmDistributionTreeResponse.new(pulp_href: null,
                                 header_version: null,
                                 release_name: null,
                                 release_short: null,
                                 release_version: null,
                                 release_is_layered: null,
                                 base_product_name: null,
                                 base_product_short: null,
                                 base_product_version: null,
                                 arch: null,
                                 build_timestamp: null,
                                 instimage: null,
                                 mainimage: null,
                                 discnum: null,
                                 totaldiscs: null,
                                 addons: null,
                                 checksums: null,
                                 images: null,
                                 variants: null)
```


