# PulpRpmClient::RpmModulemd

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | 
**file** | **File** | An uploaded file that may be turned into the artifact of the content unit. | [optional] 
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**name** | **String** | Modulemd name. | 
**stream** | **String** | Stream name. | 
**version** | **String** | Modulemd version. | 
**static_context** | **Boolean** | Modulemd static-context flag. | [optional] 
**context** | **String** | Modulemd context. | 
**arch** | **String** | Modulemd architecture. | 
**artifacts** | [**Object**](.md) | Modulemd artifacts. | 
**dependencies** | [**Object**](.md) | Modulemd dependencies. | 
**packages** | **Array&lt;String&gt;** | Modulemd artifacts&#39; packages. | [optional] 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmModulemd.new(artifact: null,
                                 relative_path: null,
                                 file: null,
                                 repository: null,
                                 name: null,
                                 stream: null,
                                 version: null,
                                 static_context: null,
                                 context: null,
                                 arch: null,
                                 artifacts: null,
                                 dependencies: null,
                                 packages: null)
```


