# PulpRpmClient::RpmModulemdDefaultsResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**_module** | **String** | Modulemd name. | 
**stream** | **String** | Modulemd default stream. | 
**profiles** | [**Object**](.md) | Default profiles for modulemd streams. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmModulemdDefaultsResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null,
                                 artifact: null,
                                 _module: null,
                                 stream: null,
                                 profiles: null)
```


