# PulpRpmClient::RpmPackageCategoryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**id** | **String** | Category id. | 
**name** | **String** | Category name. | 
**description** | **String** | Category description. | 
**display_order** | **Integer** | Category display order. | 
**group_ids** | [**Object**](.md) | Category group list. | 
**desc_by_lang** | [**Object**](.md) | Category description by language. | 
**name_by_lang** | [**Object**](.md) | Category name by language. | 
**digest** | **String** | Category digest. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmPackageCategoryResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 id: null,
                                 name: null,
                                 description: null,
                                 display_order: null,
                                 group_ids: null,
                                 desc_by_lang: null,
                                 name_by_lang: null,
                                 digest: null)
```


