# PulpRpmClient::RpmRepoMetadataFileResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Relative path of the file. | 
**data_type** | **String** | Metadata type. | 
**checksum_type** | **String** | Checksum type for the file. | 
**checksum** | **String** | Checksum for the file. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmRepoMetadataFileResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null,
                                 artifact: null,
                                 relative_path: null,
                                 data_type: null,
                                 checksum_type: null,
                                 checksum: null)
```


