# PulpRpmClient::RpmRepositorySyncURL

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**remote** | **String** | A remote to sync from. This will override a remote set on repository. | [optional] 
**mirror** | **Boolean** | If &#x60;&#x60;True&#x60;&#x60;, synchronization will remove all content that is not present in the remote repository. If &#x60;&#x60;False&#x60;&#x60;, sync will be additive only. | [optional] [default to false]
**skip_types** | [**Array&lt;SkipTypesEnum&gt;**](SkipTypesEnum.md) | List of content types to skip during sync. | [optional] 
**optimize** | **Boolean** | Whether or not to optimize sync. | [optional] [default to true]

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmRepositorySyncURL.new(remote: null,
                                 mirror: null,
                                 skip_types: null,
                                 optimize: null)
```


