# PulpRpmClient::RpmRpmPublicationResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**repository_version** | **String** |  | [optional] 
**repository** | **String** | A URI of the repository to be published. | [optional] 
**metadata_checksum_type** | [**MetadataChecksumTypeEnum**](MetadataChecksumTypeEnum.md) | The checksum type for metadata. | [optional] 
**package_checksum_type** | [**PackageChecksumTypeEnum**](PackageChecksumTypeEnum.md) | The checksum type for packages. | [optional] 
**gpgcheck** | **Integer** | An option specifying whether a client should perform a GPG signature check on packages. | [optional] [default to 0]
**repo_gpgcheck** | **Integer** | An option specifying whether a client should perform a GPG signature check on the repodata. | [optional] [default to 0]
**sqlite_metadata** | **Boolean** | An option specifying whether Pulp should generate SQLite metadata. | [optional] [default to false]

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmRpmPublicationResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 repository_version: null,
                                 repository: null,
                                 metadata_checksum_type: null,
                                 package_checksum_type: null,
                                 gpgcheck: null,
                                 repo_gpgcheck: null,
                                 sqlite_metadata: null)
```


