# PulpRpmClient::VariantResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**variant_id** | **String** | Variant id. | 
**uid** | **String** | Variant uid. | 
**name** | **String** | Variant name. | 
**type** | **String** | Variant type. | 
**packages** | **String** | Relative path to directory with binary RPMs. | 
**source_packages** | **String** | Relative path to directory with source RPMs. | 
**source_repository** | **String** | Relative path to YUM repository with source RPMs. | 
**debug_packages** | **String** | Relative path to directory with debug RPMs. | 
**debug_repository** | **String** | Relative path to YUM repository with debug RPMs. | 
**identity** | **String** | Relative path to a pem file that identifies a product. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::VariantResponse.new(variant_id: null,
                                 uid: null,
                                 name: null,
                                 type: null,
                                 packages: null,
                                 source_packages: null,
                                 source_repository: null,
                                 debug_packages: null,
                                 debug_repository: null,
                                 identity: null)
```


