# PulpRpmClient::RpmModulemdDefaults

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | 
**file** | **File** | An uploaded file that may be turned into the artifact of the content unit. | [optional] 
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**_module** | **String** | Modulemd name. | 
**stream** | **String** | Modulemd default stream. | 
**profiles** | [**Object**](.md) | Default profiles for modulemd streams. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmModulemdDefaults.new(artifact: null,
                                 relative_path: null,
                                 file: null,
                                 repository: null,
                                 _module: null,
                                 stream: null,
                                 profiles: null)
```


