# PulpRpmClient::RpmModulemdResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**name** | **String** | Modulemd name. | 
**stream** | **String** | Stream name. | 
**version** | **String** | Modulemd version. | 
**static_context** | **Boolean** | Modulemd static-context flag. | [optional] 
**context** | **String** | Modulemd context. | 
**arch** | **String** | Modulemd architecture. | 
**artifacts** | [**Object**](.md) | Modulemd artifacts. | 
**dependencies** | [**Object**](.md) | Modulemd dependencies. | 
**packages** | **Array&lt;String&gt;** | Modulemd artifacts&#39; packages. | [optional] 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmModulemdResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null,
                                 artifact: null,
                                 name: null,
                                 stream: null,
                                 version: null,
                                 static_context: null,
                                 context: null,
                                 arch: null,
                                 artifacts: null,
                                 dependencies: null,
                                 packages: null)
```


