# PulpRpmClient::RpmPackageEnvironmentResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**id** | **String** | Environment id. | 
**name** | **String** | Environment name. | 
**description** | **String** | Environment description. | 
**display_order** | **Integer** | Environment display order. | 
**group_ids** | [**Object**](.md) | Environment group list. | 
**option_ids** | [**Object**](.md) | Environment option ids | 
**desc_by_lang** | [**Object**](.md) | Environment description by language. | 
**name_by_lang** | [**Object**](.md) | Environment name by language. | 
**digest** | **String** | Environment digest. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmPackageEnvironmentResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 id: null,
                                 name: null,
                                 description: null,
                                 display_order: null,
                                 group_ids: null,
                                 option_ids: null,
                                 desc_by_lang: null,
                                 name_by_lang: null,
                                 digest: null)
```


