# PulpRpmClient::RpmPackageGroupResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**id** | **String** | PackageGroup id. | 
**default** | **Boolean** | PackageGroup default. | [optional] 
**user_visible** | **Boolean** | PackageGroup user visibility. | [optional] 
**display_order** | **Integer** | PackageGroup display order. | 
**name** | **String** | PackageGroup name. | 
**description** | **String** | PackageGroup description. | 
**packages** | [**Object**](.md) | PackageGroup package list. | 
**biarch_only** | **Boolean** | PackageGroup biarch only. | [optional] 
**desc_by_lang** | [**Object**](.md) | PackageGroup description by language. | 
**name_by_lang** | [**Object**](.md) | PackageGroup name by language. | 
**digest** | **String** | PackageGroup digest. | 

## Code Sample

```ruby
require 'PulpRpmClient'

instance = PulpRpmClient::RpmPackageGroupResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 id: null,
                                 default: null,
                                 user_visible: null,
                                 display_order: null,
                                 name: null,
                                 description: null,
                                 packages: null,
                                 biarch_only: null,
                                 desc_by_lang: null,
                                 name_by_lang: null,
                                 digest: null)
```


